---
title: "Get buildings filtered and paged"
slug: "buildings-filtered-and-paged-1"
updated: 2025-11-07T20:01:40Z
published: 2026-02-10T10:39:15Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://www.bloxs.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get buildings filtered and paged

Get/api/v1/realestateobjects/buildings/filter

Get a paged list of existing buildings, optionally filtered to the given parameters. A param-based alternative to the '/filter' POST endpoint.

		
			

**Description**

Retrieve a paged list of existing buildings, optionally filtered to the given parameters. The Bloxs real estate objects-api offers 2 options to get buildings filtered and paged. One is through the POST option, and as an alternative there is a GET operation available. The functional difference is that the POST option offers the ability to sort the results. Furthermore, the POST includes the parameters in the body whereas the GET includes them in the url.

Either reference or externalIdentifier must have a value. Please note that if both identifiers are given, both must match; otherwise, an error message will be generated. It is recommended that the user utilizes only one identifier, with a preference for the reference.

A building is a standalone entity. It refers to a terraced house or an entire building that is not divided into multiple parts. A building is a rentable unit. If it contains multiple rental units, it is no longer considered a single building. A building can be included in a rental contract.

**Use Case**

The Bloxs user has an external App connected to Bloxs. Through this operation the user can display a paged list of buildings & the related information. This operation can be used if the user wants to display multiple buildings rather than just a specific one. If the user wants to display a single building the preference is to use the GET (buildings) operation.

**Request****fields**

The request contains the following fields:

| Field | Description |
| --- | --- |
| pageSize | The maximum number of pages to be returned per request. The default number is 100 and the maximum is 1.000. If more results are returned than specified in the PageSize, the remaining pages are dropped based on the reference (number). |
| pageNumber | This allows the requesting party to specify which of the pages they want to receive. |
| name | The custom name assigned to the object. This is used for reporting and to distinguish the object when the address alone is insufficient. In the case of room rentals, this would be the address + room number. This name can also be displayed on invoices and bills. |
| reference | The relationship number within Bloxs. This is unique (per client specific environment) for all objects. The relationship number is generated by the Bloxs system. |
| externalIdentifier | The unique identifier within the system of the requesting party. This identifier is not generated by the Bloxs system. |
| ownerReference | Property owner. This field is used to link the property to its owner. Since a property must have an owner, this field is mandatory. It is part of the contracts triangle of properties, owners, and tenants. The OwnerReference corresponds to the 'Reference' in the Relations. This unique ID is generated by the Bloxs portal and should not be confused with the external identifier. A property can have only one owner. |
| estateAgentReference | Real estate agent for the property This field links the property to a real estate agent. It must be an existing agent who has been previously added either through the Bloxs application or via the API. The estateAgentReference corresponds to the 'Reference' previously assigned to the real estate agent. This unique ID is generated by the Bloxs application and should not be confused with the external identifier. A property can have only one real estate agent. |
| addressStreetAndHousenumber | Street and house number of the object. |
| addressPostalCode | Postal Code of the object |
| addressCity | City in which the object is located. |
| addressCountryISOCode | ISO country code. Use the 2-letter code from the ISO 639-1 Code list. |

**Response fields**

In addition to the fields in the request, the response also contains the fields in the table below.

| Field | Description |
| --- | --- |
| columnName | The data field based on which sorting is applied. For example, if the results are sorted based on ascending name, columnName will contain the value 'name'. |
| order | Based on this value, the property defined in 'columnName' is either sorted ascending (a-z) or descending (z-a). |
| rawFloorArea | Gross Floor Area. The total measured floor area according to the NEN2580 standards. Decimals are separated with a period (.). |
| rentableFloorArea | Rentable Floor Area. Rentable floor area according to the NEN2580 standards. Decimals are separated with a period (.) |
| usableFloorArea | The surface of the floor that can actually be used. |
| underManagementSince | From this date, the user has become the manager of the object. The date is initially entered and remains unchanged until the sale/termination of management. |
| salesDate | Date on which the building was sold. |
| lastModifed | Date on which the data for this building was last modified. |

		
		
SecurityHTTPType Bearer

Please enter a valid token

Query parameterspageSizeinteger (int32) 

The requested page size. Defaults to 100 when not given.

Minimum1Maximum1000
pageNumberinteger (int32) 

The requested page number. Defaults to 1 when not given.

Minimum1Maximum9999
namestring

Optional filter on the name of the building.

referencestring

Optional filter on the reference of the building.

externalIdentifierstring

Optional filter on the external API identifier of the building.

ownerReferencestring

Optional filter on the reference of the owner the building belongs to.

estateAgentReferencestring

Optional filter on the reference of the estate agent of the building.

addressStreetAndHouseNumberstring

Optional filter on the street and house number of the address of the building.

addressPostalCodestring

Optional filter on the postal code of the address of the building.

addressCitystring

Optional filter on the city of the address of the building.

addressCountryISOCodestring

Optional filter on the country ISO code of the address of the building.

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='4b19793a-5667-4836-946d-1ceae9a856a3'>application/json</option>
</select>Expand Allobject  pagingobject (PagingInfo)  pageSizeinteger  (int32)   | null  Minimum1Maximum1000
pageNumberinteger  (int32)   | null  Minimum1Maximum9999

sortingobject (SortingInfo)  columnNamestring   | null  
orderinteger  (int32)    Valid values[
  0,
  1
]

buildings Array of object (BuildingSearchResultFilter)  | null  object  namestring   | null  
referencestring   | null  
externalIdentifierstring   | null  
ownerReferencestring   | null  
estateAgentReferencestring   | null  
addressStreetAndHouseNumberstring   | null  
addressPostalCodestring   | null  
addressCitystring   | null  
addressCountryISOCodestring   | null  
rawFloorAreanumber  (double)   | null  
rentableFloorAreanumber  (double)   | null  
usableFloorAreanumber  (double)   | null  
underManagementSincestring  (date-time)   | null  
salesDatestring  (date-time)   | null  
lastModifiedstring  (date-time)
